from django.db import models
from django.utils.translation import gettext_lazy as _

from aleksis.core.mixins import ExtensibleModel


class Client(ExtensibleModel):
    name = models.CharField(verbose_name=_("Name"))

    class Meta:
        constraints = [
            models.UniqueConstraint(fields=["name", "site"], name="uniq_client_per_site")
        ]
